<?php

error_reporting(E_ALL); 
error_reporting(-1); 
ini_set('error_reporting', E_ALL);

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/usuario.php';
require '../../modelo/permiso_usuario.php';
require '../../modelo/environment.php';

$response = array();

if (
    !isset($_POST['correo']) ||
    !isset($_POST['password'])
) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$correo = $_POST['correo'];
$password = $_POST['password'];

$usuario = Usuario::mdlLoginUsuarioAdministradorByEmail($correo, $password);

if (!$usuario) {
    $response['response'] = 'error';
    $response['data'] = 'Correo o contraseña incorrectos.';
    echo json_encode($response);
    return;
}


$id_usuario = $usuario['id_usuario'];
$permisos = PermisoUsuario::mdlGetPermisoByUsuario($id_usuario);
$jwt = Environment::encodeUser($id_usuario);

$usuario['id_usuario'] = $jwt;
$usuario['permisos'] = $permisos;

$response['response'] = 'success';
$response['data'] = $usuario;

echo json_encode($response);
return;